Debian セキュリティ勧告

DSA-596-2 sudo -- 入力に対する不十分なサニタイジング

報告日時:
2004-11-24
影響を受けるパッケージ:
sudo
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 281665.
Mitre の CVE 辞書: CVE-2004-1051.
詳細:

Liam Helmer さんは、特定のユーザに対して制限付きで root ユーザ権限を提供するプログラムである sudo が、 環境変数を十分にクリアしていないのに気付きました。bash 関数と CDPATH 変数が root ユーザとして動作しているプログラムに渡されることで、 システムルーチンが上書きロードされる可能性が残ってしまいます。これらの脆弱性は、 制限付き root ユーザ権限を許可されているユーザからのみ攻撃可能となっています。

安定版 (stable) ディストリビューション (woody) では、これらの問題はバージョン 1.6.6-1.3 で修正されています。

不安定版 (unstable) ディストリビューション (sid) では、これらの問題はバージョン 1.6.8p3 で修正されています。

sudo パッケージのアップグレードをお勧めします。

修正:

Debian GNU/Linux 3.0 (woody)

ソース:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3.dsc
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3.diff.gz
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/s/sudo/sudo_1.6.6-1.3_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。

一覧にあるファイルの MD5 チェックサムは勧告の原文 (改訂版) にあります。